Index: LMDZ4/trunk/makegcm
===================================================================
--- LMDZ4/trunk/makegcm	(revision 768)
+++ LMDZ4/trunk/makegcm	(revision 787)
@@ -17,5 +17,5 @@
 set veget=false
 set chimie=false
-set psmile=false
+set psmile=true
 set parallel=false
 set vampir=false
@@ -458,11 +458,4 @@
         set veget="$2" ; shift ; shift ; goto top
 
-     case -psmile
-        set psmile="$2" 
-	if ( "$psmile" == 'true' ) then
-	  set couple='true'
-	endif
-	shift ; shift ; goto top
-
      case -chimie
 	set chimie="$2" ; shift ; shift ; goto top
@@ -581,8 +574,4 @@
 endif
 
-if ( "$psmile" == 'true' ) then
-   set cppflags="$cppflags -DCPP_PSMILE"
-endif
-
 set FLAG_PARA=''
 if ( "$parallel" == 'true' ) then
@@ -657,5 +646,5 @@
 endif
 if ( $NEC || $XNEC || $X6NEC || $X8BRODIE ) then
-    set nomlib=F90_${dim_}_t${ntrac}
+    set nomlib=F90_${dim_}_t${ntrac}${FLAG_PARA}
 endif
 echo calcul de la dimension
@@ -762,46 +751,4 @@
 
 ########################################################################
-#  utilisation des vraies routines de couplage si on est en couple
-########################################################################
-if ( $couple == 'true' ) then
-  banner couple
-  pwd
-  if ( "$psmile" == 'true' ) then
-     if ( -f $libf/phy$physique/oasis.F ) then 
-	\rm $libf/phy$physique/oasis.F 
-     endif
-     if ( ! -f $libf/phy$physique/oasis.F90 ) then
-       \cp $libf/phy$physique/oasis.psmile $libf/phy$physique/oasis.F90	
-     endif
-     if ( `diff $libf/phy$physique/oasis.F90 $libf/phy$physique/oasis.psmile | wc -w` ) then
-       \cp $libf/phy$physique/oasis.psmile $libf/phy$physique/oasis.F90
-     endif
-  else
-     if ( -f $libf/phy$physique/oasis.F90 ) then
-       \rm $libf/phy$physique/oasis.F90
-     endif
-     if (! -f $libf/phy$physique/oasis.F ) then
-       \cp $libf/phy$physique/oasis.true $libf/phy$physique/oasis.F
-     else
-       if ( `diff $libf/phy$physique/oasis.F $libf/phy$physique/oasis.true | wc -w` ) then
-#         \cp $libf/phy$physique/oasis.F $libf/phy$physique/oasis.dummy
-         \cp $libf/phy$physique/oasis.true $libf/phy$physique/oasis.F
-       endif
-     endif
-  endif
-else
-  if ( -f $libf/phy$physique/oasis.F90 ) then
-    \rm $libf/phy$physique/oasis.F90
-  endif
-  if (! -f $libf/phy$physique/oasis.F ) then
-    \cp $libf/phy$physique/oasis.dummy $libf/phy$physique/oasis.F
-  else
-    if ( `diff $libf/phy$physique/oasis.F $libf/phy$physique/oasis.dummy | wc -w` ) then
-      \cp $libf/phy$physique/oasis.F $libf/phy$physique/oasis.true
-      \cp $libf/phy$physique/oasis.dummy $libf/phy$physique/oasis.F
-    endif
-  endif
-endif
-########################################################################
 #  Avant de lancer le make, on recree le makefile si necessaire
 ########################################################################
@@ -821,13 +768,11 @@
 #      \mv $libf/grid/dimensions90.tmp $libf/grid/dimensions90.h
 #endif
-awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     s/) {if (NR > 1) print p0," &"; sub ("     s","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/dyn3d/paramet.h >! $libf/dyn3d/paramet90.tmp
-# sed -n -e 's/^c/\!/' -e '1 h' -e '2,$ H' -e '$ { x ; s/\n     s/ \&\n     \& /g ; p }' $libf/dyn3d/paramet.h >! $libf/dyn3d/paramet90.tmp
-if ( ! -f $libf/dyn3d/paramet90.h || `diff $libf/dyn3d/paramet90.tmp $libf/dyn3d/paramet90.h | wc -w` ) then
-      \mv $libf/dyn3d/paramet90.tmp $libf/dyn3d/paramet90.h
-endif
-awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     \./) {if (NR > 1) print p0," &"; sub ("     \.","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/dyn3d/control.h >! $libf/dyn3d/control.tmp
-#sed -n -e 's/^c/\!/' -e '1 h' -e '2,$ H' -e '$ { x ; s/\n     \./ \&\n     \& /g ; p }' $libf/dyn3d/control.h >! $libf/dyn3d/control.tmp
-if ( ! -f $libf/dyn3d/control.inc  || `diff $libf/dyn3d/control.tmp $libf/dyn3d/control.inc | wc -w` ) then
-      \mv $libf/dyn3d/control.tmp $libf/dyn3d/control.inc
+awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     s/) {if (NR > 1) print p0," &"; sub ("     s","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/dyn3d${FLAG_PARA}/paramet.h >! $libf/dyn3d${FLAG_PARA}/paramet90.tmp
+if ( ! -f $libf/dyn3d${FLAG_PARA}/paramet90.h || `diff $libf/dyn3d${FLAG_PARA}/paramet90.tmp $libf/dyn3d${FLAG_PARA}/paramet90.h | wc -w` ) then
+      \mv $libf/dyn3d${FLAG_PARA}/paramet90.tmp $libf/dyn3d${FLAG_PARA}/paramet90.h
+endif
+awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     \./) {if (NR > 1) print p0," &"; sub ("     \.","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/dyn3d${FLAG_PARA}/control.h >! $libf/dyn3d${FLAG_PARA}/control.tmp
+if ( ! -f $libf/dyn3d${FLAG_PARA}/control.inc  || `diff $libf/dyn3d${FLAG_PARA}/control.tmp $libf/dyn3d${FLAG_PARA}/control.inc | wc -w` ) then
+      \mv $libf/dyn3d${FLAG_PARA}/control.tmp $libf/dyn3d${FLAG_PARA}/control.inc
 endif
 awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     S/) {if (NR > 1) print p0," &"; sub ("     S","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/phylmd/YOMCST.h >! $libf/phylmd/YOMCST.tmp
@@ -839,5 +784,4 @@
       \mv $libf/phylmd/clesphys.tmp $libf/phylmd/clesphys.inc
 endif
-#sed -e 's/^c/\!/' $libf/dyn3dpar/paramet.h >! $libf/dyn3dpar/paramet90.h
 ##########################################
 cd $model
@@ -998,9 +942,5 @@
      endif
      if ($couple == true) then
-	if ($psmile == true) then
-	set opt_link="$opt_link -lsxioipsl -float0 $optdbl -P static $NCDFLIB "
-	else
-	set opt_link="$opt_link -lsxioipsl -loasis2.4_mpi2 -float0 $optdbl -P static $NCDFLIB "
-	endif
+       set opt_link="$opt_link -lsxioipsl -float0 $optdbl -P static $NCDFLIB "
      else
        set opt_link="$opt_link -lsxioipsl -float0 $optdbl -P static $NCDFLIB "
@@ -1008,5 +948,5 @@
    else
 #     set opt_link=" -float0 $optdbl -P static -L$MODIPSLDIR -lsxsechiba -lsxparameters -lsxstomate -lsxioipsl $NCDFLIB "
-     set opt_link=" -float0 $optdbl -P static -L$MODIPSLDIR -lsxioipsl $NCDFLIB "
+     set opt_link=" -float0 $optdbl -P static -L$MODIPSLDIR -lsxioipsl $NCDFLIB -lblas"
 
    endif