Index: LMDZ4/trunk/bld.cfg
===================================================================
--- LMDZ4/trunk/bld.cfg	(revision 815)
+++ LMDZ4/trunk/bld.cfg	(revision 816)
@@ -68,4 +68,8 @@
 bld::excl_dep        use::ioipsl
 bld::excl_dep        use::intersurf
+bld::excl_dep        use::mod_prism_proto
+bld::excl_dep        use::mod_prism_def_partition_proto
+bld::excl_dep        use::mod_prism_get_proto
+bld::excl_dep        use::mod_prism_put_proto
 
 # Don't generate interface files
Index: LMDZ4/trunk/machine/arch-IA64_PLATINE.path
===================================================================
--- LMDZ4/trunk/machine/arch-IA64_PLATINE.path	(revision 815)
+++ LMDZ4/trunk/machine/arch-IA64_PLATINE.path	(revision 816)
@@ -1,6 +1,9 @@
 set NETCDF_LIBDIR=/applications/netcdf/lib
 set NETCDF_INCDIR=/applications/netcdf/include
-set IOIPSL_INCDIR=$WORKDIR/IOIPSL_MPP/src
-set IOIPSL_LIBDIR=$WORKDIR/IOIPSL_MPP/src
-set ORCH_INCDIR=$WORKDIR/ORCHIDEE/lib
-set ORCH_LIBDIR=$WORKDIR/ORCHIDEE/lib
+set IOIPSL_INCDIR=$LMDGCM/../../lib
+set IOIPSL_LIBDIR=$LMDGCM/../../lib
+set ORCH_INCDIR=$LMDGCM/../../lib
+set ORCH_LIBDIR=$LMDGCM/../../lib
+set OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
+set OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
+
Index: LMDZ4/trunk/machine/arch-SX8_BRODIE.fcm
===================================================================
--- LMDZ4/trunk/machine/arch-SX8_BRODIE.fcm	(revision 816)
+++ LMDZ4/trunk/machine/arch-SX8_BRODIE.fcm	(revision 816)
@@ -0,0 +1,9 @@
+%COMPILER            sxmpif90
+%LINK                sxmpif90
+%AR                  sxar
+%MAKE                make
+%FFLAGS              -C vopt  -Wf,-pvctl res=whole,-A dbl4,-init stack=nan,-init heap=nan,-ptr byte -EP -R5 -float0 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
+%FPP_FLAGS           -P -traditional
+%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM 
+%LD_FLAGS            -lblas
+
Index: LMDZ4/trunk/machine/arch-SX8_BRODIE.path
===================================================================
--- LMDZ4/trunk/machine/arch-SX8_BRODIE.path	(revision 816)
+++ LMDZ4/trunk/machine/arch-SX8_BRODIE.path	(revision 816)
@@ -0,0 +1,9 @@
+set NETCDF_LIBDIR=/SXlocal/pub/netCDF/netCDF-3.6.1/lib
+set NETCDF_INCDIR=/SXlocal/pub/netCDF/netCDF-3.6.1/include
+set IOIPSL_INCDIR=$LMDGCM/../../lib
+set IOIPSL_LIBDIR=$LMDGCM/../../lib
+set ORCH_INCDIR=$LMDGCM/../../lib
+set ORCH_LIBDIR=$LMDGCM/../../lib
+set OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
+set OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
+
Index: LMDZ4/trunk/machine/arch-SX8_MERCURE.fcm
===================================================================
--- LMDZ4/trunk/machine/arch-SX8_MERCURE.fcm	(revision 815)
+++ LMDZ4/trunk/machine/arch-SX8_MERCURE.fcm	(revision 816)
@@ -3,6 +3,7 @@
 %AR                  sxar
 %MAKE                make
-%FFLAGS              -C vopt -ftrace -p -P openmp -Wf,-pvctl res=whole,-A dbl4,-init stack=nan,-init heap=nan,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
+%FFLAGS              -C vopt  -Wf,-pvctl res=whole,-A dbl4,-init stack=nan,-init heap=nan,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
 %FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM _OPENMP
-%LD_FLAGS            -ftrace -p -P openmp -size_t64 -lblas -Wl "-ZL 24G"
+%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM 
+%LD_FLAGS            -size_t64 -lblas
+
Index: LMDZ4/trunk/machine/arch-SX8_MERCURE.path
===================================================================
--- LMDZ4/trunk/machine/arch-SX8_MERCURE.path	(revision 815)
+++ LMDZ4/trunk/machine/arch-SX8_MERCURE.path	(revision 816)
@@ -1,7 +1,9 @@
-set ARCH=SX6
 set NETCDF_LIBDIR=/usr/local/SX8/soft/netcdf/lib
 set NETCDF_INCDIR=/usr/local/SX8/soft/netcdf/include
-set IOIPSL_INCDIR=$WORKDIR/IOIPSL_MPP/src
-set IOIPSL_LIBDIR=$WORKDIR/IOIPSL_MPP/src
-set ORCH_INCDIR=$WORKDIR/ORCHIDEE/lib
-set ORCH_LIBDIR=$WORKDIR/ORCHIDEE/lib
+set IOIPSL_INCDIR=$LMDGCM/../../lib
+set IOIPSL_LIBDIR=$LMDGCM/../../lib
+set ORCH_INCDIR=$LMDGCM/../../lib
+set ORCH_LIBDIR=$LMDGCM/../../lib
+set OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
+set OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
+
Index: LMDZ4/trunk/makegcm_fcm
===================================================================
--- LMDZ4/trunk/makegcm_fcm	(revision 815)
+++ LMDZ4/trunk/makegcm_fcm	(revision 816)
@@ -24,5 +24,4 @@
 set veget=false
 set chimie=false
-set psmile=false
 set parallel=false
 set io=ioipsl
@@ -60,5 +59,5 @@
 [-p PHYS]              : compilation avec la physique libf/phyPHYS, (def: lmd)
 [-debug]               : compile avec options debug.
-[-c false/true]        : couplé océan : mpi1/mpi2/false (def: false)
+[-c false/MPI1/MPI2]   : couplé océan : MPI1/MPI2/false (def: false)
 [-v false/true]        : avec ou sans végétation (def: false)
 [-chimie SCHEMA/false] : nom du schéma chimique ou false (def)
@@ -163,7 +162,6 @@
 if ( "$couple" != 'false' ) then
    set CPP_KEY="$CPP_KEY CPP_COUPLE"
-   set CPP_KEY="$CPP_KEY CPP_PSMILE"
-   set INCLUDE="$INCLUDE -I${OASIS_INCDIR}.$couple"
-   set LIB="$LIB -L${OASIS_LIBDIR} -loasis.$couple"
+   set INCLUDE="$INCLUDE -I${OASIS_INCDIR}"
+   set LIB="$LIB -L${OASIS_LIBDIR} -lpsmile.${couple} -lmpp_io"
 endif
 
@@ -175,5 +173,5 @@
    set CPP_KEY="$CPP_KEY CPP_VEGET"
    set INCLUDE="${INCLUDE} -I${ORCH_INCDIR}"
-   set LIB="${LIB} -L${ORCH_LIBDIR} -lsechiba -lparameters -lstomate -lparallel"
+   set LIB="${LIB} -L${ORCH_LIBDIR} -lsechiba -lparameters -lstomate -lparallel -lorglob"
 endif
 
@@ -311,30 +309,4 @@
   set SUFF_NAME=${SUFF_NAME}_inca
 endif
- 
-#########################################################
-# On adapte certains include à F90 (mener a disparaitre)
-#########################################################
-#sed -e 's/^c/\!/' $libf/grid/dimensions.h >! $libf/grid/dimensions90.tmp
-#if ( ! -f $libf/grid/dimensions90.h || `diff $libf/grid/dimensions90.tmp $libf/grid/dimensions90.h | wc -w` ) then
-#      \mv $libf/grid/dimensions90.tmp $libf/grid/dimensions90.h
-#endif
-#awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     s/) {if (NR > 1) print p0," &"; sub ("     s","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/dyn3d/paramet.h >! $libf/dyn3d/paramet90.tmp
-#if ( ! -f $libf/dyn3d/paramet90.h || `diff $libf/dyn3d/paramet90.tmp $libf/dyn3d/paramet90.h | wc -w` ) then
-#      \mv $libf/dyn3d/paramet90.tmp $libf/dyn3d/paramet90.h
-#endif
-#awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     \./) {if (NR > 1) print p0," &"; sub ("     \.","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/dyn3d/control.h >! $libf/dyn3d/control.tmp
-#if ( ! -f $libf/dyn3d/control.inc  || `diff $libf/dyn3d/control.tmp $libf/dyn3d/control.inc | wc -w` ) then
-#      \mv $libf/dyn3d/control.tmp $libf/dyn3d/control.inc
-#endif
-#awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     S/) {if (NR > 1) print p0," &"; sub ("     S","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/phylmd/YOMCST.h >! $libf/phylmd/YOMCST.tmp
-#if ( ! -f $libf/phylmd/YOMCST.inc  || `diff $libf/phylmd/YOMCST.tmp $libf/phylmd/YOMCST.inc | wc -w` ) then
-#      \mv $libf/phylmd/YOMCST.tmp $libf/phylmd/YOMCST.inc
-#endif
-#awk 'BEGIN {} { sub ("^c","\!") ; if ($0 ~ /^     S/) {if (NR > 1) print p0," &"; sub ("     S","     \\&")} else { if (NR > 1) print p0  } p0=$0 } END { print p0}' $libf/phylmd/clesphys.h >! $libf/phylmd/clesphys.tmp
-#if ( ! -f $libf/phylmd/clesphys.inc  || `diff $libf/phylmd/clesphys.tmp $libf/phylmd/clesphys.inc | wc -w` ) then
-#      \mv $libf/phylmd/clesphys.tmp $libf/phylmd/clesphys.inc
-#endif
-
-#########################################################
 
 cd $LMDGCM