Index: LMDZ4/branches/LMDZ4_V3_patches/libf/phylmd/clesphys.h
===================================================================
--- LMDZ4/branches/LMDZ4_V3_patches/libf/phylmd/clesphys.h	(revision 853)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/phylmd/clesphys.h	(revision 857)
@@ -45,4 +45,6 @@
        INTEGER :: ip_ebil_phy
        LOGICAL ok_slab_sicOBS
+!LF aer_actuel: pour utiliser un fichier constant dans readsulfate
+       CHARACTER*8 :: aer_type
 
        COMMON/clesphys/cycle_diurne, soil_model, new_oliq,              &
@@ -57,5 +59,5 @@
      &     , ecrit_mth, ecrit_tra, ecrit_reg                            &
      &     , freq_ISCCP, ecrit_ISCCP, ip_ebil_phy                       &
-     &     , ok_slab_sicOBS, ok_lic_melt, cvl_corr
+     &     , ok_slab_sicOBS, ok_lic_melt, cvl_corr, aer_type
      
 !$OMP THREADPRIVATE(/clesphys/)
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/phylmd/conf_phys.F90
===================================================================
--- LMDZ4/branches/LMDZ4_V3_patches/libf/phylmd/conf_phys.F90	(revision 853)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/phylmd/conf_phys.F90	(revision 857)
@@ -56,4 +56,5 @@
   logical,SAVE        :: ok_journe_omp, ok_mensuel_omp, ok_instan_omp, ok_hf_omp        
   LOGICAL,SAVE        :: ok_ade_omp, ok_aie_omp
+  character (len = 8),SAVE  :: aer_type_omp
   REAL,SAVE           :: bl95_b0_omp, bl95_b1_omp
   REAL,SAVE           :: freq_ISCCP_omp, ecrit_ISCCP_omp
@@ -165,4 +166,13 @@
   ok_aie_omp = .false.
   call getin('ok_aie', ok_aie_omp)
+
+!
+!Config Key  = aer_type
+!Config Desc = Use a constant field for the aerosols
+!Config Def  = scenario
+!Config Help = Used in readsulfate.F
+!
+  aer_type_omp = 'scenario'
+  call getin('aer_type', aer_type_omp)
 
 !
@@ -828,4 +838,5 @@
     ok_ade = ok_ade_omp
     ok_aie = ok_aie_omp
+    aer_type = aer_type_omp
     bl95_b0 = bl95_b0_omp
     bl95_b1 = bl95_b1_omp
@@ -906,4 +917,5 @@
   write(numout,*)' ok_ade = ',ok_ade
   write(numout,*)' ok_aie = ',ok_aie
+  write(numout,*)' aer_type = ',aer_type
   write(numout,*)' bl95_b0 = ',bl95_b0
   write(numout,*)' bl95_b1 = ',bl95_b1
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/phylmd/readsulfate.F
===================================================================
--- LMDZ4/branches/LMDZ4_V3_patches/libf/phylmd/readsulfate.F	(revision 853)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/phylmd/readsulfate.F	(revision 857)
@@ -38,4 +38,6 @@
 cym#include "dimphy.h"      
 #include "temps.h"      
+#include "clesphys.h"
+#include "iniprint.h"
 c 
 c Input:
@@ -84,4 +86,13 @@
 
       if (is_mpi_root) then
+
+        IF (aer_type /= 'actuel  ' .AND. aer_type /= 'preind  ' .AND.   &
+     &      aer_type /= 'scenario') THEN
+          WRITE(lunout,*)' *** Warning ***'
+          WRITE(lunout,*)'Option aer_type pour les aerosols = ',        &
+     &        aer_type
+          WRITE(lunout,*)'Cas non prevu, force a preind'
+          aer_type = 'preind  '
+        ENDIF
             
       iday = INT(r_day) 
@@ -118,28 +129,35 @@
 
 
-      IF (iyr .lt. 1850) THEN
-         cyear='.nat'
-         WRITE(*,*) 'getso4  iyr=', iyr,'   ',cyear
-         CALL getso4fromfile(cyear, so4_1)
-      ELSE IF (iyr .ge. 2100) THEN
-         cyear='2100'
-         WRITE(*,*) 'getso4  iyr=', iyr,'   ',cyear
-         CALL getso4fromfile(cyear, so4_1)
+
+      IF (aer_type == 'actuel  ') then
+        cyear='1980'
+      ELSE IF (aer_type == 'preind  ') THEN
+        cyear='.nat'
       ELSE
+        IF (iyr .lt. 1850) THEN
+           cyear='.nat'
+           WRITE(*,*) 'getso4  iyr=', iyr,'   ',cyear
+           CALL getso4fromfile(cyear, so4_1)
+        ELSE IF (iyr .ge. 2100) THEN
+           cyear='2100'
+           WRITE(*,*) 'getso4  iyr=', iyr,'   ',cyear
+           CALL getso4fromfile(cyear, so4_1)
+        ELSE
 
       	! Read in data:
-      ! a) from actual 10-yr-period
-
-      IF (iyr.LT.1900) THEN
-         iyr1 = 1850
-         iyr2 = 1900
-      ELSE IF (iyr.ge.1900.and.iyr.lt.1920) THEN
-         iyr1 = 1900
-         iyr2 = 1920
-      ELSE 
-         iyr1 = INT(iyr/10)*10
-         iyr2 = INT(1+iyr/10)*10
+        ! a) from actual 10-yr-period
+
+        IF (iyr.LT.1900) THEN
+           iyr1 = 1850
+           iyr2 = 1900
+        ELSE IF (iyr.ge.1900.and.iyr.lt.1920) THEN
+           iyr1 = 1900
+           iyr2 = 1920
+        ELSE 
+           iyr1 = INT(iyr/10)*10
+           iyr2 = INT(1+iyr/10)*10
+        ENDIF
+        WRITE(cyear,'(I4)') iyr1
       ENDIF
-      WRITE(cyear,'(I4)') iyr1
       WRITE(*,*) 'getso4  iyr=', iyr,'   ',cyear
       CALL getso4fromfile(cyear, so4_1)